Revoke a signing authority
curl --request DELETE \
--url https://api.pid.peridotvault.com/v1/credentials/{id} \
--cookie pid_access=const options = {method: 'DELETE', headers: {cookie: 'pid_access='}};
fetch('https://api.pid.peridotvault.com/v1/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/credentials/{id}"
headers = {"cookie": "pid_access="}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/credentials/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("cookie", "pid_access=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "secp256r1",
"credentialId": "<string>",
"publicKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"handle must be 3-20 chars: lowercase letters, numbers, underscore"
]
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}credentials
Revoke a signing authority
Revokes a passkey. The account must keep at least one active authority — revoking the last one is rejected (last-credential guard).
DELETE
/
credentials
/
{id}
Revoke a signing authority
curl --request DELETE \
--url https://api.pid.peridotvault.com/v1/credentials/{id} \
--cookie pid_access=const options = {method: 'DELETE', headers: {cookie: 'pid_access='}};
fetch('https://api.pid.peridotvault.com/v1/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/credentials/{id}"
headers = {"cookie": "pid_access="}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/credentials/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("cookie", "pid_access=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "secp256r1",
"credentialId": "<string>",
"publicKey": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"handle must be 3-20 chars: lowercase letters, numbers, underscore"
]
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}Authorizations
JWT access token set by /auth/google/callback or /auth/refresh
Path Parameters
Response
The revoked authority
Passkey authority model (secp256r1 owner passkey)
Available options:
secp256r1 WebAuthn credential ID — public data
33-byte compressed secp256r1 public key, base64url — the on-chain smart-account authority